#
# spec file for package imx-gpu-viv
#
# Copyright (c) 2014-2015 Josua Mayer <privacy@not.given>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

%define blobpkg_name imx-gpu-viv-5.0.11.p4.4-hfp
%define blobpkg_md5 5aa3dfe5b9362f9ee53615e0a56f9009

# skip OpenCL on older distros (requires recent glibc)
%if 0%{?suse_version} > 0 && 0%{?suse_version} <= 1320
  %define skip_cl 1
%else
  %define skip_cl 0
%endif

Name: imx-gpu-viv-x11
Version: 5.0.11.p4.4
Release: 1
License: Freescale IP
Group: System/Libraries
Summary: Binary drivers for Vivante GPU
Source: imx-gpu-viv-%{version}.tar.gz
Source1: %{blobpkg_name}.bin
nosource: 0
nosource: 1
BuildRequires: pkgconfig

# provide the same libname Mesa does
# (vivante file is libGL.so.1.2)
Provides: libGL.so.1

# conflict with the right mesa packages
Conflicts: Mesa-libGL1
Obsoletes: Mesa-libGL1
Conflicts: Mesa-libGLESv2-2
Obsoletes: Mesa-libGLESv2-2

%description
Provides the binary-only implementations of GPU libraries provided by Vivante.

%package devel
Group: Development/Libraries/C and C++
Summary: Backend-independent Vivante libs
Requires: imx-gpu-viv-x11 = %version
%description devel
T.O.D.O.

%package apitrace
Group: Development/Tools/Debuggers
Summary: Todo
Requires: imx-gpu-viv-x11 = %version
%description apitrace
T.O.D.O.

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%prep
%setup -q
chmod +x %{SOURCE1}
ln -sv %{SOURCE1} ./
%{SOURCE1} --auto-accept --force

%build

%install
./install.sh \
	--destdir "%{buildroot}" \
	--backend x11 \
	--dridir /usr/lib/dri \
%if %skip_cl
	--skip-cl \
%endif
	%{nop}

%files
%defattr(-,root,root)
/etc/Vivante.icd
/opt/fsl-samples
/usr/lib/dri
/usr/lib/libEGL.so.*
/usr/lib/libg2d.so.*
/usr/lib/libGAL_egl.so
/usr/lib/libGAL.so
/usr/lib/libGLES_CL.so.*
/usr/lib/libGLES_CM.so.*
/usr/lib/libGLESv1_CL.so.*
/usr/lib/libGLESv1_CM.so.*
/usr/lib/libGLESv2.so.*
/usr/lib/libGLSLC.so
/usr/lib/libGL.so.*
/usr/lib/libOpenVG*.so
/usr/lib/libVDK.so
/usr/lib/libVIVANTE.so
/usr/lib/libVSC.so
%doc EULA.txt

%if ! %skip_cl
/usr/lib/libCLC.so
/usr/lib/libOpenCL.so
/usr/lib/libVivanteOpenCL.so
%endif

%files apitrace
%defattr(-,root,root)
/usr/bin/apitrace
/usr/bin/eglretrace
/usr/bin/glretrace
/usr/lib/apitrace
/usr/share/doc/apitrace

%files devel
%defattr(-,root,root)
/usr/include/*
/usr/lib/libEGL.so
/usr/lib/libg2d.so
/usr/lib/libGLES_CL.so
/usr/lib/libGLES_CM.so
/usr/lib/libGLESv1_CL.so
/usr/lib/libGLESv1_CM.so
/usr/lib/libGLESv2.so
/usr/lib/libGL.so
/usr/lib/pkgconfig/*.pc

%changelog
